de.caff.util.settings.swing

## Class SwingDoubleProperty

- java.lang.Object
- - de.caff.util.settings.AbstractBasicChangeableItem
  - - de.caff.util.settings.AbstractBasicLocalizableChangeableItem
    - - de.caff.util.settings.swing.AbstractBasicSimpleEditableChangeableItem
      - - de.caff.util.settings.swing.SwingNumberProperty
        - - de.caff.util.settings.swing.SwingDoubleProperty

- All Implemented Interfaces:
    ChangeableItem, Property<java.lang.Double>, EditableProperty, java.io.Serializable
  Direct Known Subclasses:
    SwingDoublePreferenceProperty

      public class SwingDoubleProperty
      extends SwingNumberProperty
      implements Property<java.lang.Double>

  Editable double preference property.
  Author:
    Rammi
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SwingDoubleProperty(java.lang.String basicName, java.lang.String baseTag, double value)` Create a double preference property with maximum range, step 1 and the given default value.
    `SwingDoubleProperty(java.lang.String basicName, java.lang.String baseTag, double value, boolean autoSave)` Create a double preference property with maximum range, step 1 and the given default value.
    `SwingDoubleProperty(java.lang.String basicName, java.lang.String baseTag, double value, double step)` Create a double preference property with maximum range, step and the given default value.
    `SwingDoubleProperty(java.lang.String basicName, java.lang.String baseTag, double value, double step, boolean autoSave)` Create a double preference property with maximum range, step and the given default value.
    `SwingDoubleProperty(java.lang.String basicName, java.lang.String baseTag, double value, double minValue, double maxValue)` Create a double preference property with the given range, step 1 and the given default value.
    `SwingDoubleProperty(java.lang.String basicName, java.lang.String baseTag, double value, double minValue, double maxValue, boolean autoSave)` Create a double preference property with the given range, step 1 and the given default value.
    `SwingDoubleProperty(java.lang.String basicName, java.lang.String baseTag, double value, double minValue, double maxValue, double step)` Create a double preference property with the given range, step and the given default value.
    `SwingDoubleProperty(java.lang.String basicName, java.lang.String baseTag, double value, double minValue, double maxValue, double step, boolean autoSave)` Create a double preference property with the given range, step and the given default value.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getMaxValue()` Get the maximal allowed value.
    `java.lang.Number` | `getMaxValueNumber()` Get the maximal allowed value.
    `double` | `getMinValue()` Get the minimal allowed value.
    `java.lang.Number` | `getMinValueNumber()` Get the minimal allowed value.
    `double` | `getStep()` Get the step used in steppers.
    `java.lang.Number` | `getStepNumber()` Get the step used in steppers.
    `java.lang.Double` | `getValue()` Get the properties value.
    `java.lang.Number` | `getValueNumber()` Get the properties value.
    `void` | `setValue(double value)` Set the properties value.
    `void` | `setValue(java.lang.Double value)` Set the value.
    `void` | `setValueNumber(java.lang.Number value)` Set the property value.

    - ### Methods inherited from class de.caff.util.settings.swing.SwingNumberProperty

      `getEditorProvider`

    - ### Methods inherited from class de.caff.util.settings.AbstractBasicLocalizableChangeableItem

      `getBaseTag, getLabelString, getMenuString, getName, getString`

    - ### Methods inherited from class de.caff.util.settings.AbstractBasicChangeableItem

      `addValueChangeListener, addValueChangeListenerWeakly, firePropertyChange, fireValueChange, fireValueChange, fireValueChange, getBasicName, getPropertyName, removeValueChangeListener, removeValueChangeListenerWeakly`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface de.caff.util.settings.ChangeableItem

      `addValueChangeListener, addValueChangeListenerWeakly, removeValueChangeListener, removeValueChangeListenerWeakly`

    - ### Methods inherited from interface de.caff.util.settings.swing.EditableProperty

      `getName`

- - ### Constructor Detail

    - #### SwingDoubleProperty

          public SwingDoubleProperty(@NotNull
                                     java.lang.String basicName,
                                     @NotNull
                                     java.lang.String baseTag,
                                     double value)

      Create a double preference property with maximum range, step 1 and the given default value.
      Parameters:
        `basicName` - property name
        `baseTag` - basic i18n tag
        `value` - default value

    - #### SwingDoubleProperty

          public SwingDoubleProperty(@NotNull
                                     java.lang.String basicName,
                                     @NotNull
                                     java.lang.String baseTag,
                                     double value,
                                     boolean autoSave)

      Create a double preference property with maximum range, step 1 and the given default value.
      Parameters:
        `basicName` - property name
        `baseTag` - basic i18n tag
        `value` - default value
        `autoSave` - save changes immediately?

    - #### SwingDoubleProperty

          public SwingDoubleProperty(@NotNull
                                     java.lang.String basicName,
                                     @NotNull
                                     java.lang.String baseTag,
                                     double value,
                                     double step)

      Create a double preference property with maximum range, step and the given default value.
      Parameters:
        `basicName` - property name
        `baseTag` - basic i18n tag
        `value` - default value
        `step` - step to be used for value when stepping

    - #### SwingDoubleProperty

          public SwingDoubleProperty(@NotNull
                                     java.lang.String basicName,
                                     @NotNull
                                     java.lang.String baseTag,
                                     double value,
                                     double step,
                                     boolean autoSave)

      Create a double preference property with maximum range, step and the given default value.
      Parameters:
        `basicName` - property name
        `baseTag` - basic i18n tag
        `value` - default value
        `step` - step to be used for value when stepping
        `autoSave` - save changes immediately?

    - #### SwingDoubleProperty

          public SwingDoubleProperty(@NotNull
                                     java.lang.String basicName,
                                     @NotNull
                                     java.lang.String baseTag,
                                     double value,
                                     double minValue,
                                     double maxValue)

      Create a double preference property with the given range, step 1 and the given default value.
      Parameters:
        `basicName` - property name
        `baseTag` - basic i18n tag
        `value` - default value
        `minValue` - minimal allowed value (included)
        `maxValue` - maximal allowed value (included)

    - #### SwingDoubleProperty

          public SwingDoubleProperty(@NotNull
                                     java.lang.String basicName,
                                     @NotNull
                                     java.lang.String baseTag,
                                     double value,
                                     double minValue,
                                     double maxValue,
                                     boolean autoSave)

      Create a double preference property with the given range, step 1 and the given default value.
      Parameters:
        `basicName` - property name
        `baseTag` - basic i18n tag
        `value` - default value
        `minValue` - minimal allowed value (included)
        `maxValue` - maximal allowed value (included)
        `autoSave` - save changes immediately?

    - #### SwingDoubleProperty

          public SwingDoubleProperty(@NotNull
                                     java.lang.String basicName,
                                     @NotNull
                                     java.lang.String baseTag,
                                     double value,
                                     double minValue,
                                     double maxValue,
                                     double step)

      Create a double preference property with the given range, step and the given default value.
      Parameters:
        `basicName` - property name
        `baseTag` - basic i18n tag
        `value` - default value
        `minValue` - minimal allowed value (included)
        `maxValue` - maximal allowed value (included)
        `step` - step to be used for value when stepping

    - #### SwingDoubleProperty

          public SwingDoubleProperty(@NotNull
                                     java.lang.String basicName,
                                     @NotNull
                                     java.lang.String baseTag,
                                     double value,
                                     double minValue,
                                     double maxValue,
                                     double step,
                                     boolean autoSave)

      Create a double preference property with the given range, step and the given default value.
      Parameters:
        `basicName` - property name
        `baseTag` - basic i18n tag
        `value` - default value
        `minValue` - minimal allowed value (included)
        `maxValue` - maximal allowed value (included)
        `step` - step to be used for value when stepping
        `autoSave` - save changes immediately?

  - ### Method Detail

    - #### getMinValue

          public double getMinValue()

      Get the minimal allowed value.
      Returns:
        minimal value

    - #### getMaxValue

          public double getMaxValue()

      Get the maximal allowed value.
      Returns:
        maximal value

    - #### getStep

          public double getStep()

      Get the step used in steppers.
      Returns:
        step

    - #### getValue

          public java.lang.Double getValue()

      Get the properties value.
      Specified by:
        `getValue` in interface `Property<java.lang.Double>`
      Returns:
        property value

    - #### setValue

          public void setValue(@NotNull
                               java.lang.Double value)

      Set the value.
      Specified by:
        `setValue` in interface `Property<java.lang.Double>`
      Parameters:
        `value` - new value

    - #### setValue

          public void setValue(double value)

      Set the properties value.
      Parameters:
        `value` - value to set

    - #### getMinValueNumber

          @NotNull
          public java.lang.Number getMinValueNumber()

      Get the minimal allowed value.
      Specified by:
        `getMinValueNumber` in class `SwingNumberProperty`
      Returns:
        minimal value

    - #### getMaxValueNumber

          @NotNull
          public java.lang.Number getMaxValueNumber()

      Get the maximal allowed value.
      Specified by:
        `getMaxValueNumber` in class `SwingNumberProperty`
      Returns:
        maximal value

    - #### getStepNumber

          @NotNull
          public java.lang.Number getStepNumber()

      Get the step used in steppers.
      Specified by:
        `getStepNumber` in class `SwingNumberProperty`
      Returns:
        step

    - #### getValueNumber

          @NotNull
          public java.lang.Number getValueNumber()

      Get the properties value.
      Specified by:
        `getValueNumber` in class `SwingNumberProperty`
      Returns:
        property value

    - #### setValueNumber

          public void setValueNumber(@NotNull
                                     java.lang.Number value)

      Set the property value.
      Specified by:
        `setValueNumber` in class `SwingNumberProperty`
      Parameters:
        `value` - new value